# Package version and name from dkms.conf
# EC_SYSVER="$(sed -n 's/^PACKAGE_VERSION=\([^\n]*\)/\1/p' ../ec_sys-dkms/dkms.conf)"
# EC_SYSMODULE_NAME="$(sed -n 's/^PACKAGE_NAME=\([^\n]*\)/\1/p' ../ec_sys-dkms/dkms.conf)"
%define EC_SYSVER 1.0
%define EC_SYSMODULE_NAME ec_sys

Name:           mcontrolcenter-msi
Version:        0.4.1
Release:        %mkrel 1
Summary:        Application for changing the settings of MSI laptops
License:        AGPLv3
Group:          System/Kernel and hardware
URL:            https://github.com/dmitry-s93/MControlCenter
Source0:        MControlCenter-%{version}.tar.gz
Source1:        ec_sys-dkms.tar.gz
Source2:        ec-sys-dkms-tarball.sh

BuildRequires:  cmake
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  hicolor-icon-theme

Requires:       lib%{?__isa_bits}qt5widgets5
Requires:       ec_sys-kernel-modules-dkms

ExclusiveArch:  x86_64

%description
An application that allows you to change the settings of MSI laptops running Linux


%package -n ec_sys-kernel-modules-dkms
Summary:  ec_sys module DKMS package
Group:    System/Kernel and hardware
Requires: dkms
Requires: make

%description -n ec_sys-kernel-modules-dkms
ec_sys kernel module (DKMS-variant) for MControlCenter


%prep
%setup -q -T -n ec_sys-dkms -b 1
%setup -q -n MControlCenter-%{version}

mv %_builddir/ec_sys-dkms .

%build
%cmake
%cmake_build

%install
install -Dpm0755 build/mcontrolcenter %{buildroot}%{_bindir}/mcontrolcenter
install -Dpm0755 build/helper/mcontrolcenter-helper %{buildroot}%{_libexecdir}/mcontrolcenter-helper
install -Dpm0644 src/helper/mcontrolcenter-helper.conf %{buildroot}/usr/share/dbus-1/system.d/mcontrolcenter-helper.conf
install -Dpm0644 src/helper/mcontrolcenter.helper.service %{buildroot}/usr/share/dbus-1/system-services/mcontrolcenter.helper.service
install -Dpm0644 resources/mcontrolcenter.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/mcontrolcenter.svg
install -Dpm0644 resources/mcontrolcenter.desktop %{buildroot}%{_datadir}/applications/mcontrolcenter.desktop
install -Dpm0644 resources/mcontrolcenter.appdata.xml %{buildroot}%{_datadir}/metainfo/mcontrolcenter.appdata.xml

install -d -m 0755 %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}
install -d -m 0755 %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src
install -m 0644 ec_sys-dkms/src/ec_sys.c %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src/ec_sys.c
install -m 0644 ec_sys-dkms/src/internal.h %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src/internal.h
install -m 0644 ec_sys-dkms/dkms.conf %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/dkms.conf
install -m 0644 ec_sys-dkms/Makefile %{buildroot}/%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/Makefile


%posttrans -n ec_sys-kernel-modules-dkms
dkms add -m %{EC_SYSMODULE_NAME} -v %{EC_SYSVER} --rpm_safe_upgrade
dkms build -m %{EC_SYSMODULE_NAME} -v %{EC_SYSVER} --rpm_safe_upgrade
dkms install -m %{EC_SYSMODULE_NAME} -v %{EC_SYSVER} --rpm_safe_upgrade

%preun -n ec_sys-kernel-modules-dkms
dkms remove -m %{EC_SYSMODULE_NAME} -v %{EC_SYSVER} --rpm_safe_upgrade --all


%files
%license LICENSE
%doc README.md
%{_bindir}/mcontrolcenter
%{_libexecdir}/mcontrolcenter-helper
%{_datadir}/dbus-1/system.d/mcontrolcenter-helper.conf
%{_datadir}/dbus-1/system-services/mcontrolcenter.helper.service
%{_datadir}/icons/hicolor/scalable/apps/mcontrolcenter.svg
%{_datadir}/applications/mcontrolcenter.desktop
%{_datadir}/metainfo/mcontrolcenter.appdata.xml

%files -n ec_sys-kernel-modules-dkms
%defattr(-,root,root,-)
%dir %{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}
%dir %{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src
%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src/ec_sys.c
%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/src/internal.h
%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/dkms.conf
%{_usrsrc}/%{EC_SYSMODULE_NAME}-%{EC_SYSVER}/Makefile


%changelog
* Thu Dec 28 2023 squidf <squidf> 0.4.1-0
- Initial MGA package based on openSUSE
- Build ec_sys-dkms on top
